<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.hys.app</groupId>
        <artifactId>raycos</artifactId>
        <version>7.2.2</version>
    </parent>

    <artifactId>server</artifactId>
    <description>
        SpringBoot启动容器
        引入所有业务模块 module-xxx 的依赖
    </description>

    <dependencies>
        <!-- erp模块 -->
        <dependency>
            <groupId>com.hys.app</groupId>
            <artifactId>module-erp</artifactId>
            <version>${erp-version}</version>
        </dependency>

        <dependency>
            <groupId>com.hys.app</groupId>
            <artifactId>raycos-web-api</artifactId>
            <version>${erp-version}</version>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
            </plugin>

        </plugins>
    </build>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
    </properties>

</project>